# Uses of Interface
org.opensaml.xacml.policy.AttributeAssignmentType

Packages that use AttributeAssignmentType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of AttributeAssignmentType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return types with arguments of type AttributeAssignmentType
Modifier and Type
Method
Description
`List<AttributeAssignmentType>`
ObligationType.`getAttributeAssignments()`
Gets the attribute assignments for this obligation.

## Uses of AttributeAssignmentType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement AttributeAssignmentType
Modifier and Type
Class
Description
`class`
`AttributeAssignmentTypeImpl`
Implementation for `AttributeAssignmentType`.
Fields in org.opensaml.xacml.policy.impl with type parameters of type AttributeAssignmentType
Modifier and Type
Field
Description
`private XMLObjectChildrenList<AttributeAssignmentType>`
ObligationTypeImpl.`attributeAssignments`
List of the atrributeAssignments in the obligation.
Methods in org.opensaml.xacml.policy.impl that return AttributeAssignmentType
Modifier and Type
Method
Description
`AttributeAssignmentType`
AttributeAssignmentTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`AttributeAssignmentType`
AttributeAssignmentTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.xacml.policy.impl that return types with arguments of type AttributeAssignmentType
Modifier and Type
Method
Description
`List<AttributeAssignmentType>`
ObligationTypeImpl.`getAttributeAssignments()`
Gets the attribute assignments for this obligation.